"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function recurse(node, indent) {
    if (indent === void 0) { indent = ''; }
    return node.body
        .map(function (node) {
        switch (node.type) {
            case 'Object':
                return ("" + indent + node.name + "\n" +
                    (indent + "{\n") +
                    (recurse(node, '    ' + indent) + "\n") +
                    (indent + "}"));
            case 'Property':
                return indent + "\"" + node.name + "\" \"" + node.value + "\"";
        }
    })
        .join('\n');
}
function generate(ast) {
    return recurse(ast);
}
exports.generate = generate;
